Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1783)
+++ palm/trunk/SOURCE/Makefile	(revision 1784)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# name change of netcdf routines and respective dependencies
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 2016-03-06 18:36:17Z raasch
+# name change of netcdf routines and respective dependencies
 #
 # 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 1783)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! name change of netcdf routines and module + related changes
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1783)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1784)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! netcdf variables and module name changed,
-! check of netcdf precision removed (is done in the netcdf module)
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf variables and module name changed,
+! check of netcdf precision removed (is done in the netcdf module)
 !
 ! 1764 2016-02-28 12:45:19Z raasch
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 1783)
+++ palm/trunk/SOURCE/close_file.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! name change of netcdf routines and module + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! name change of netcdf routines and module + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1745 2016-02-05 13:06:51Z gronemeier
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! name change of netcdf routines and module + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1745 2016-02-05 13:06:51Z gronemeier
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1784)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! name change of netcdf routines and module + related changes,
-! switch back of netcdf data format moved from time integration routine to here
-! 
+! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes,
+! switch back of netcdf data format moved from time integration routine to here
 !
 ! 1691 2015-10-26 16:17:44Z maronga
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! name change of netcdf routines and module + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module name changed + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! name change of netcdf routines and module + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 1783)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! name change of netcdf routines and module + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1783)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! +module netcdf_interface
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! +module netcdf_interface
 !
 ! 1747 2016-02-08 12:25:53Z raasch
@@ -1683,12 +1686,15 @@
     
     USE land_surface_model_mod,                                                &
-        ONLY:   dots_soil, ghf_eb, land_surface, m_soil, nzb_soil, nzt_soil,   &
+        ONLY:   ghf_eb, land_surface, m_soil, nzb_soil, nzt_soil,              &
                 qsws_eb, qsws_liq_eb, qsws_soil_eb, qsws_veg_eb, r_a, r_s,     &
                 shf_eb, t_soil
+
+    USE netcdf_interface,                                                      &
+        ONLY:  dots_rad, dots_soil
 
     USE pegrid
     
     USE radiation_model_mod,                                                   &
-        ONLY:  dots_rad, radiation, radiation_scheme, rad_net,                 &
+        ONLY:  radiation, radiation_scheme, rad_net,                 &
                rad_lw_in, rad_lw_out, rad_sw_in, rad_sw_out
 
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1783)
+++ palm/trunk/SOURCE/header.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module and variable names changed, output of netcdf_deflate
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module and variable names changed, output of netcdf_deflate
 !
 ! 1764 2016-02-28 12:45:19Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1783)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! netcdf module name changed + related changes
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1764 2016-02-28 12:45:19Z raasch
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 1783)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module name changed + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1783)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf variables moved to netcdf module
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf variables moved to netcdf module
 !
 ! 1757 2016-02-22 15:49:32Z maronga
Index: palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1783)
+++ palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! name change of netcdf routines and module + related changes
-! 
+! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! name change of netcdf routines and module + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1783)
+++ palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! new netcdf-module included
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! new netcdf-module included
 !
 ! 1691 2015-10-26 16:17:44Z maronga
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1783)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module added
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module added
 !
 ! 1725 2015-11-17 13:01:51Z hoffmann 
Index: palm/trunk/SOURCE/lpm_release_set.f90
===================================================================
--- palm/trunk/SOURCE/lpm_release_set.f90	(revision 1783)
+++ palm/trunk/SOURCE/lpm_release_set.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! module control_parameters removed
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! module control_parameters removed
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1783)
+++ palm/trunk/SOURCE/modules.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! netcdf variables moved to the netcdf-interface module
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf variables moved to the netcdf-interface module
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/netcdf_interface.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface.f90	(revision 1783)
+++ palm/trunk/SOURCE/netcdf_interface.f90	(revision 1784)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
 ! netcdf interface has been modularized, former file netcdf renamed to
 ! netcdf_interface, creation of netcdf-dimensions and -variables moved to
@@ -24,8 +31,4 @@
 ! compression (deflation) of variables implemented,
 ! ibmy special cpp directive removed
-! 
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1745 2016-02-05 13:06:51Z gronemeier
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1783)
+++ palm/trunk/SOURCE/palm.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! required user interface version changed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! required user interface version changed
 !
 ! 1781 2016-03-03 15:12:23Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1783)
+++ palm/trunk/SOURCE/parin.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! +netcdf_deflate in d3par, netcdf module and variable names changed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! +netcdf_deflate in d3par, netcdf module and variable names changed
 !
 ! 1764 2016-02-28 12:45:19Z raasch
Index: palm/trunk/SOURCE/pmc_client.f90
===================================================================
--- palm/trunk/SOURCE/pmc_client.f90	(revision 1783)
+++ palm/trunk/SOURCE/pmc_client.f90	(revision 1784)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Bugfix: wrong data-type in MPI_WIN_CREATE replaced
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! Bugfix: wrong data-type in MPI_WIN_CREATE replaced
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/pmc_interface.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface.f90	(revision 1783)
+++ palm/trunk/SOURCE/pmc_interface.f90	(revision 1784)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! calculation of nest top area simplified,
-! interpolation and anterpolation moved to seperate wrapper subroutines
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! calculation of nest top area simplified,
+! interpolation and anterpolation moved to seperate wrapper subroutines
 !
 ! 1781 2016-03-03 15:12:23Z raasch
Index: palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model.f90	(revision 1783)
+++ palm/trunk/SOURCE/radiation_model.f90	(revision 1784)
@@ -19,11 +19,14 @@
 ! Current revisions:
 ! -----------------
-! palm-netcdf-module removed in order to avoid a circular module dependency,
-! netcdf-variables moved to netcdf-module, new routine netcdf_handle_error_mod
-! added
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! palm-netcdf-module removed in order to avoid a circular module dependency,
+! netcdf-variables moved to netcdf-module, new routine netcdf_handle_error_rad
+! added
 !
 ! 1757 2016-02-22 15:49:32Z maronga
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1783)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! netcdf module name changed + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1699 2015-10-29 08:02:35Z maronga
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1783)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1784)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! switch back of netcdf data format for mask output moved to the mask output
-! routine
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! switch back of netcdf data format for mask output moved to the mask output
+! routine
 !
 ! 1781 2016-03-03 15:12:23Z raasch
Index: palm/trunk/SOURCE/user_check_data_output_pr.f90
===================================================================
--- palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 1783)
+++ palm/trunk/SOURCE/user_check_data_output_pr.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module name changed + relatec changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + relatec changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/user_init.f90
===================================================================
--- palm/trunk/SOURCE/user_init.f90	(revision 1783)
+++ palm/trunk/SOURCE/user_init.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module name changed + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/user_parin.f90
===================================================================
--- palm/trunk/SOURCE/user_parin.f90	(revision 1783)
+++ palm/trunk/SOURCE/user_parin.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! required interface revision changed
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! required interface revision changed
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- palm/trunk/SOURCE/user_statistics.f90	(revision 1783)
+++ palm/trunk/SOURCE/user_statistics.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module name changed + related changes
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1783)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1784)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! netcdf module name changed + related changes
-! 
+! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1783 2016-03-06 18:36:17Z raasch
+! netcdf module name changed + related changes
 !
 ! 1705 2015-11-02 14:28:56Z maronga