Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1786)
+++ palm/trunk/SOURCE/Makefile	(revision 1787)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# rename calc_spectra to spectrum + modularization of spectrum
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1786 2016-03-08 05:49:27Z raasch
+# rename calc_spectra to spectrum + modularization of spectrum
 #
 # 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1786)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1787)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! cpp-direktives for spectra removed, check of spectra level removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! cpp-direktives for spectra removed, check of spectra level removed
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1786)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1787)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! cpp-directives for spectra removed, immediate return if no spectra levels are
-! given
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! cpp-directives for spectra removed, immediate return if no spectra levels are
+! given
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1786)
+++ palm/trunk/SOURCE/header.f90	(revision 1787)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! cpp-direktives for spectra removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! cpp-direktives for spectra removed
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1786)
+++ palm/trunk/SOURCE/modules.f90	(revision 1787)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! module spectrum moved to new separate module
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! module spectrum moved to new separate module
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/netcdf_interface.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface.f90	(revision 1786)
+++ palm/trunk/SOURCE/netcdf_interface.f90	(revision 1787)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Bugfix: id_var_time_sp made public
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! Bugfix: id_var_time_sp made public
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1786)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1787)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! cpp-direktives for spectra removed
-! 
+! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! cpp-direktives for spectra removed
 !
 ! 1757 2016-02-22 15:49:32Z maronga
Index: palm/trunk/SOURCE/pmc_client.f90
===================================================================
--- palm/trunk/SOURCE/pmc_client.f90	(revision 1786)
+++ palm/trunk/SOURCE/pmc_client.f90	(revision 1787)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! change in client-server data transfer: server now gets data from client
-! instead that client put's it to the server
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! change in client-server data transfer: server now gets data from client
+! instead that client put's it to the server
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/pmc_general.f90
===================================================================
--- palm/trunk/SOURCE/pmc_general.f90	(revision 1786)
+++ palm/trunk/SOURCE/pmc_general.f90	(revision 1787)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! change in client-server data transfer: server now gets data from client
-! instead that client put's it to the server
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! change in client-server data transfer: server now gets data from client
+! instead that client put's it to the server
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/pmc_handle_communicator.f90
===================================================================
--- palm/trunk/SOURCE/pmc_handle_communicator.f90	(revision 1786)
+++ palm/trunk/SOURCE/pmc_handle_communicator.f90	(revision 1787)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Bugfix: nesting_mode is broadcast now
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! Bugfix: nesting_mode is broadcast now
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/pmc_server.f90
===================================================================
--- palm/trunk/SOURCE/pmc_server.f90	(revision 1786)
+++ palm/trunk/SOURCE/pmc_server.f90	(revision 1787)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! change in client-server data transfer: server now gets data from client
-! instead that client put's it to the server
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! change in client-server data transfer: server now gets data from client
+! instead that client put's it to the server
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: palm/trunk/SOURCE/spectrum.f90
===================================================================
--- palm/trunk/SOURCE/spectrum.f90	(revision 1786)
+++ palm/trunk/SOURCE/spectrum.f90	(revision 1787)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
 ! routine is modularized, filename renamed from calc_spectra to spectrum,
 ! privious data module spectrum moved from modules.f90 to here,
 ! cpp-direktives for spectra removed, immediate return if no spectra levels are
 ! given
-! 
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1682 2015-10-07 23:56:08Z knoop
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1786)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1787)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! +module spectrum
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1786 2016-03-08 05:49:27Z raasch
+! +module spectrum
 !
 ! 1783 2016-03-06 18:36:17Z raasch