Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1788)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1789)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
 ! Added check for use of most_method = 'lookup' in combination with water
 ! surface presribed in the land surface model. Added output of z0q.
 ! Syntax layout improved.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1786 2016-03-08 05:49:27Z raasch
 ! cpp-direktives for spectra removed, check of spectra level removed
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1788)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1789)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of z0q
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1788 2016-03-10 11:01:04Z maronga
+! Added output of z0q
+! 
 ! 1783 2016-03-06 18:36:17Z raasch
 ! name change of netcdf routines and module + related changes
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1788)
+++ palm/trunk/SOURCE/header.f90	(revision 1789)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Parameter dewfall removed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
+! Parameter dewfall removed
 !
 ! 1786 2016-03-08 05:49:27Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1788)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1789)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! Added z0q. 
-! Syntax layout improved.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
+! Added z0q. 
+! Syntax layout improved.
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1788)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1789)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
 ! Bugfix: calculate lambda_surface based on temperature gradient between skin
 ! layer and soil layer instead of Obukhov length
@@ -30,8 +37,4 @@
 ! Changed: parameter dewfall removed.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1783 2016-03-06 18:36:17Z raasch
 ! netcdf variables moved to netcdf module
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1788)
+++ palm/trunk/SOURCE/modules.f90	(revision 1789)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Added roughness length for moisture (z0q)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
+! Added roughness length for moisture (z0q)
 !
 ! 1786 2016-03-08 05:49:27Z raasch
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1788)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1789)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Parameter dewfall removed.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
+! Parameter dewfall removed.
 !
 ! 1786 2016-03-08 05:49:27Z raasch
Index: palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model.f90	(revision 1788)
+++ palm/trunk/SOURCE/radiation_model.f90	(revision 1789)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Added new albedo class for pavements / roads.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
+! Added new albedo class for pavements / roads.
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1788)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1789)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added z0q and z0q_av
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1788 2016-03-10 11:01:04Z maronga
+! Added z0q and z0q_av
+! 
 ! 1757 2016-02-22 15:49:32Z maronga
 ! Bugfix in allocation of radiative heating rates
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1788)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1789)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added z0q and z0q_av
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1788 2016-03-10 11:01:04Z maronga
+! Added z0q and z0q_av
+! 
 ! 1693 2015-10-27 08:35:45Z maronga
 ! Last revision text corrected
Index: palm/trunk/SOURCE/surface_layer_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1788)
+++ palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1789)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1788 2016-03-10 11:01:04Z maronga
 ! Added parameter z0q which replaces z0h in the similarity functions for
 ! humidity.
 ! Syntax layout improved.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1757 2016-02-22 15:49:32Z maronga
 ! Minor fixes.
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1788)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1789)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added z0q and z0q_av
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1788 2016-03-10 11:01:04Z maronga
+! Added z0q and z0q_av
+! 
 ! 1709 2015-11-04 14:47:01Z maronga
 ! Added rad_lw_out_change_0, increased binary_version