Index: palm/trunk/SCRIPTS/document_changes
===================================================================
--- palm/trunk/SCRIPTS/document_changes	(revision 1779)
+++ palm/trunk/SCRIPTS/document_changes	(revision 1804)
@@ -20,5 +20,5 @@
 # Current revisions:
 # -----------------
-# 
+# Removed printing of "this is an alpha version"
 # 
 # Former revisions:
@@ -76,5 +76,4 @@
     fi
     printf "\n  *** Checking files in $input_dir\n"
-    printf "\n  +++ THIS IS AN ALPHA VERSION. PLEASE CHECK THE MODIFIED FILES BEFORE COMMITTING\n"
 
     for filename in $input_dir/*; do
@@ -186,6 +185,10 @@
        printf "\n  *** $count_files documents checked.\n"
        printf "  *** $count_changes changed documents found.\n"
-       printf "  *** You can now perform svn commit -m 'last commit documented' trunk\n"
-       printf "\n  +++ THIS IS AN ALPHA VERSION. PLEASE CHECK THE MODIFIED FILES BEFORE COMMITTING\n"
+       printf "\n"
+       printf "  *** All files in $input_dir were checked.\n"     
+       printf "  *** You can now proceed with checking other directories\n"
+       printf "      - or you might want to perform svn commit -m 'last commit documented' trunk\n"
+       printf "\n"      
+       printf "  *** Please do not forget to commit your changes in the changelog \n under https://palm.muk.uni-hannover.de/trac/wiki/doc/tec/changelog !"      
     else
        printf "\n  *** $count_files documents checked.\n"
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1779)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1804)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# Removed parameter file check
 # 
 # Former revisions:
@@ -1448,52 +1448,8 @@
                 echo "  +++ no qmake found. The (optional) GUI will not be compiled."
              fi
-
-#                 # COMPILE CHECK_NAMELIST_FILES (ONLY FOR ONE BRANCH on LOCALHOST NEEDED)
-#              printf "\n\n"
-#              echo "  *** compiling check_namelist_files ..."
-# 
-#                 # GET CHECK OPTIONS
-#              line=""
-#              found=false
-#              grep  "$remote_host_string" $config_file | grep "%cpp_options"  >  $tmp_mbuild
-#              while read line1
-#              do
-# 
-#                 if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
-#                 then
-#                    line="$line1"
-#                 fi
-# 
-#                 if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-#                 then
-#                       # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
-#                    line="$line "
-#                    copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
-#                    found=true
-#                 fi
-# 
-#              done < $tmp_mbuild
-#              copts_check="$copts_check -D__check -D__parallel"
-# 
-#              check_depository_path=${local_source_path}/../UTIL
-#              cd $check_depository_path
-#              mkdir check_tmp
-#              cp ${local_source_path}/${mainprog}_sources_check.tar ./check_tmp
-#              cd check_tmp
-#              tar -xf  ${mainprog}_sources_check.tar
-#              rm -rf ${mainprog}_sources_check.tar
-#              make  -f Makefile_check $make_options  F90=$compiler_name_ser  COPT="$copts_check"  F90FLAGS="$compiler_options"
-#              tar -cf  check_namelist_files.tar Makefile_check check_namelist_files.x *.f90 *.o *.mod
-#              mv check_namelist_files.tar $check_depository_path
-#              mv check_namelist_files.x $PALM_BIN
-#              cd $check_depository_path
-#              rm -rf check_tmp
-#              util_compiled_localhost=true
           else
              cd $check_depository_path
              printf "\n\n"
-             echo "  *** skipped compilation of mrun GUI."       
-             printf "\n\n"
-             echo "  *** skipped compilation of check_namelist_files (currently not available)."            
+             echo "  *** skipped compilation of mrun GUI."            
           fi
 
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1779)
+++ palm/trunk/SCRIPTS/mrun	(revision 1804)
@@ -26,4 +26,5 @@
 # ROPTS removed from execution commands
 # Warnings about missing optional files or user code changed to informative messages
+# Removed parameter file check
 # 
 # Former revisions:
@@ -478,5 +479,5 @@
  then
    (printf "\n  *** mrun can be called as follows:\n"
-    printf "\n      $mrun_script_name  -b -c.. -d.. -D.. -f.. -F -h.. -i.. -I -K.. -m.. -o.. -p.. -r.. -R -s.. -t.. -T.. -v -x -X.. -y -Y.. -z -Z <modus> \n"
+    printf "\n      $mrun_script_name  -b -c.. -d.. -D.. -f.. -F -h.. -i.. -I -K.. -m.. -o.. -p.. -r.. -R -s.. -t.. -T.. -v -x -X.. -y -Y.. -Z <modus> \n"
     printf "\n      Description of available options:\n"
     printf "\n      Option  Description                              Default-Value"
@@ -522,5 +523,4 @@
     printf "\n        -Y    run coupled model, \"#1 #2\" with" 
     printf "\n              #1 atmosphere and #2 ocean processors    \"#/2 #/2\" depending on -X"
-    printf "\n        -z    disable a priori parameter file check    ---"
     printf "\n        -Z    skip combine_plot_fields at the end of      "
     printf "\n              the simulation                           ---"
@@ -1208,10 +1208,4 @@
     fi
     eval pathname=${pathin[$i]}
-
-       # SAVE INPUT FILE NAME FOR PARAMETER FILE CHECK
-    if [[ ("${transin[$i]}" = job) && (-f $filename) ]]
-    then
-       filename_input=$filename
-    fi
 
        # CHECK IF FILE EXISTS
@@ -2207,441 +2201,5 @@
  fi
 
-
-    # PERFORM PARAMETER FILE CHECK (COUPLED RUNS ARE NOT SUPPORTED YET)
-    # DEFINE VARIABLES FOR FREQUENTLY USED DIRECTORIES
- check_depository="${working_directory}/trunk/UTIL"
- check_sources="${working_directory}/tmp_check_namelist_files"
- skip_check=false
-
-    # CHECK IF NAMELIST_FILE_CHECK HAS BEEN COMPILED SUCCESSFULLY
- if [[ ! -f $check_depository/check_namelist_files.tar ]]
- then
-    skip_check=true 
-    reason="run on remote host or parameter file check has not been compiled."
- fi
- if [[ ! -f $PALM_BIN/check_namelist_files.x ]]
- then
-    skip_check=true 
-    reason="parameter file check has not been compiled."
- fi
-
-    # CHECK FOR PARALLEL RUN; OTHERWISE SKIP CHECK
- if [[ "$cond1" != "parallel"  &&  "$cond2" != "parallel" ]]
- then
-    skip_check=true 
-    reason="serial run."
- fi
-
-    # ONLY PERFORM CHECK IF -z OPTION IS NOT SET, NO RESTART RUN IS CARRIED OUT
-    # AND IF THE EXECUTION HOST IS THE LOCAL HOST
-    # ATTENTION: THIS ROUTINE DOES NOT WORK IF THE COMPILER ON THE LOCAL HOST
-    # DIFFERS FROM THE COMPILER ON THE REMOTE HOST
- if [[ $check_namelist_files == false ]]
- then
-    skip_check=true
-    reason="-z option set."
- fi
-
- if [[ $fromhost != $localhost ]]
- then
-    skip_check=true
-    reason="submitting host is local host."  
- fi  
-
- if [[ $run_coupled_model == true ]]
- then
-    skip_check=true
-    reason="coupled run."  
- fi
-
- if [[ $restart_run == true ]]
- then
-    skip_check=true
-    reason="restart run."     
- fi
-
-    # SKIP CHECK IN CASE OF RESTART RUN: CHECK WHETHER THE LAST CHAR IS "f" IN PARIN
- (( last_char_int = `echo $filename_input | wc -c` - 1 ))
- last_char=`echo $filename_input | cut -c $last_char_int`
- if [[ "$last_char" == "f" ]]
- then
-    skip_check=true
-    reason="restart run."
- fi 
-
- if [[ $skip_check == false ]]
- then
-    tmp_check=${working_directory}/tmp_check
-
-       # GET TOPOGRAPHY PARAMETER FILE SUFFIX (USUALLY "_TOPO"). THIS FILE IS
-       # NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "TOPOGRAPHY_DATA" $config_file  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          topo_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no TOPOGRAPHY list entry found in the configuration file."
-    fi
-
-       # GET NUDGING PARAMETER FILE SUFFIX (USUALLY "_NUDGE"). THIS FILE IS
-       # NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "NUDGING_DATA" $config_file  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          nudge_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no NUDGING list entry found in the configuration file."
-    fi
-
-       # GET LARGE SCALE FORCING PARAMETER FILE SUFFIX (USUALLY "_LSF"). THIS FILE IS
-       # NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "LSF_DATA" $config_file  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          lsf_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no LSF list entry found in the configuration file."
-    fi
-
-    rm -rf ${working_directory}/tmp_check
-
-       # CHECK IF THE P3DF FILE MUST BE CHECKED
-    for  item  in  $input_list
-    do
-       if [[ "$item" == "restart" ]]
-       then
-          check_restart=1
-       else
-          check_restart=0
-       fi
-    done
-
-      # ERROR IF NO PARAMETER FILE WAS FOUND, OTHERWISE PROCEED
-    if [[ (! -f $filename_input) && ( "$filename_input" != "" ) ]]
-    then
-       printf "\n\n  +++ ERROR: parameter file ($filename_input) not found." 
-       locat=check_namelist; exit
-    fi
-   
-       # CHECK IF THE RESTART PARAMETER FILE EXISTS (IF NECESSARY)
-    if  [[ $check_restart == 1 ]]
-    then
-
-       filenamef="${filename_input}f"
-       if [[ ! -f $filenamef ]]
-       then
-          printf "\n\n  +++ WARNING: restart parameter file ($filenamef) is missing."  
-          check_restart=0
-          answer=dummy
-          printf "\n\n"
-
-          if [[ $silent == false ]]
-          then
-             while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-             do
-                printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-                read  answer
-             done
-             if [[ $answer = a  ||  $answer = A ]]
-             then
-                printf "\n  +++ Aborting...."
-                locat=normal; exit
-             fi
-          fi
-       else
-          check_restart=1
-       fi
-    fi
-
-       # CREATE TEMPORARY SOURCES_FOR_CHECK PATH
-    mkdir $check_sources
-    cd $check_sources
-
-
-       # CHECK FOR USER CODE, OTHERWISE USE THE PRECOMPILED CHECK_NAMELIST_FILES.X
-    if [[ -d $add_source_path ]]
-    then
-       printf "\n\n  *** copying files from $check_depository" 
-       cp $check_depository/check_namelist_files.tar ./
-
-       printf "\n\n  *** untar of makefile and source files in $check_sources"
-       tar -xf check_namelist_files.tar  >  /dev/null  2>&1
-
-       printf "\n\n  *** adding user code." 
-       cp $add_source_path/* ./
-       touch check_namelist_files.f90
-
-          # GET COMPILER OPTIONS AND PERFORM MAKE
-       printf "\n\n  *** compiling code if necessary...\n"
-
-          # workaround for batch jobs on local machine (lcxe6)
-       if [[ $do_batch == true && $do_remote == false ]]
-       then
-          eval $init_cmds
-       fi
-
-          # GET CHECK OPTIONS
-       line=""
-       found=false
-
-       grep  "$localhost" ${base_directory}/${config_file} | grep "%cpp_options"  >  $tmp_check
-
-       while read line1
-       do
-
-          if [[ $(echo $line1 | cut -d" " -s -f3-) = "$localhost" ]]
-          then
-             line="$line1"
-          fi
-
-          if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-          then
-                # REMOVE COLONS FROM OPTION-STRING, REMOVE ALL -D OPTIONS
-             line="$line "
-             copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
-             found=true
-          fi
-
-       done < $tmp_check
-       copts_check="$copts_check -D__check -D__parallel"
-
-       make -f Makefile_check F90=$compiler_name_ser  COPT="$copts_check"
-
-          # GET MAKE OUTPUT
-       if [[ $? != 0 ]]
-       then
-          printf "\n  +++ error during make."       
-          answer=dummy
-          printf "\n\n"
-          if [[ $silent == false ]]
-          then
-             while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-             do
-                printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-                read  answer
-             done
-             if [[ $answer = a  ||  $answer = A ]]
-             then
-                printf "\n  +++ Aborting..."
-                rm -rf  $check_sources
-                locat=normal; exit
-             else
-                skip_check=true
-             fi
-          else
-             skip_check=true
-          fi
-       fi
-    else
-       cp $PALM_BIN/check_namelist_files.x ./
-    fi
-
-    cp $filename_input ./PARIN
-    if [[ $check_restart == 1 ]] 
-    then
-       cp $filenamef ./PARINF   
-    fi
-
-    if [[ -f ${pathname}/${fname}${topo_suffix} && $skip_check == false ]]
-    then
-       printf "\n  *** adding topography data"
-       cp ${pathname}/${fname}${topo_suffix} ./TOPOGRAPHY_DATA
-
-          # IN CASE OF TOPOGRAPHY AND HIGH GRID POINT NUMBERS, THE STACK SIZE 
-          # MUST BE INCREASED. THIS IS DUE TO THE ARRAY nzb_local AND topo_height, 
-          # WHICH REQUIRE SUFFICIENT MEMORY
-       ulimit -s unlimited          
-    fi
-
-    if [[ -f ${pathname}/${fname}${nudge_suffix} && $skip_check == false ]]
-    then
-       printf "\n  *** adding nudging data"
-       cp ${pathname}/${fname}${nudge_suffix} ./NUDGING_DATA       
-    fi
-
-    if [[ -f ${pathname}/${fname}${lsf_suffix} && $skip_check == false ]]
-    then
-       printf "\n  *** adding large scale forcing data"
-       cp ${pathname}/${fname}${lsf_suffix} ./LSF_DATA        
-    fi
-
-       # CREATE ENVPAR FILE, WHICH IS NEEDED BY CHECK_NAMELIST_FILES.X
-    cat  >  ENVPAR  <<  %%END%%
- &envpar  run_identifier = '$fname', host = '$host',
-	    write_binary = '$write_binary', tasks_per_node = $tasks_per_node,
-	    maximum_parallel_io_streams = $maximum_parallel_io_streams,
-	    maximum_cpu_time_allowed = ${cpumax}.,
-	    revision = '$global_revision',
-	    local_dvrserver_running = $local_dvrserver_running /
-
-%%END%%
-
-       # SAFETY CHECK: ONLY PROCEED IF THE PARAMETER CHECK PROGRAM WAS PROPERLY COMPILED
-    if [[ ! -f check_namelist_files.x  &&  $skip_check == false ]]
-    then
-       printf "\n  +++ WARNING: check_namelist_files.x not found."
-       answer=dummy
-       printf "\n\n"
-
-       if [[ $silent == false ]]
-       then
-          while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-          do
-             printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-             read  answer
-          done
-          if [[ $answer = a  ||  $answer = A ]]
-          then
-             printf "\n  +++ Aborting..."
-             rm -rf  $check_sources
-             locat=normal; exit
-          else
-             printf "\n  *** skipping parameter file check."         
-          fi
-      fi
-       
-    elif [[ $skip_check == false ]]
-    then
-          # STARTING THE PARAMETER FILE CHECK
-       printf "\n\n  *** starting parameter file check..."
-
-          # CHECKING THE P3D FILE
-       printf "\n\n      (1) checking $filename_input"  
-       echo "$numprocs 0 0" > VARIN
-       errors=`./check_namelist_files.x < VARIN 2>&1`
-
-       check_error=false
-       if [[ "$errors" == "" ]]
-       then
-          printf " --> o.k."
-       else
-          printf " --> failed."
-          check_error=true
-          printf "\n\n  $errors"
-       fi
-
-          # CHECKING THE PD3F FILE IF NECESSARY
-       if [[ $check_restart == 1 && $check_error == false ]]
-       then
-          printf "\n\n      (2) checking $filenamef"  
-
-             # FIRST CHECK IF INITIALIZING_ACTIONS="READ_RESTART_DATA" IS SET
-             # IN &INIPAR LIST
-          found=false
-          cat PARINF | while read line
-          do
-             line=$(echo $line|sed 's/ //g')
-             if [[ $line == *"&inipar"* ]]
-             then
-                start_search=true
-             fi 
-
-             if [[ $start_search == true ]]
-             then
-                if [[ $line == *"initializing_actions='read_restart_data'"* ]]
-                then
-                   found=true
-                   break
-                fi
-             fi
-
-             if [[ $line == *"/"* ]]
-             then
-                start_search=false
-             fi 
-
-          done
-
-          if [[ $found = false ]]
-          then
-             printf "\n\n  +++ ERROR: initializing_actions = 'read_restart_data' not found"
-             printf "\n      in &inipar list in $fname$p3df_suffix."
-             rm -rf  $check_sources
-             locat=check_namelist; exit
-          fi
-
-             # READ max_user_pr FROM FILES
-          if [[ -f parin_for_check ]]
-          then
-             read max_pr_user < parin_for_check
-          else
-             max_user_pr=0
-          fi
-
-          echo "$numprocs 1 $max_pr_user" > VARIN
-          errors=`./check_namelist_files.x < VARIN 2>&1`
-
-          if [[ "$errors" == "" ]]
-          then
-             printf " --> o.k."
-          else
-             printf " --> failed."
-             check_error=true
-             printf "\n\n  $errors"
-          fi
-       fi
-    
-          # REPORT ERRORS AND CONTINUE/EXIT
-       if [[ $check_error == true ]]
-       then
-          printf "\n  +++ errors found in the parameter file!\n"
-          answer=dummy
-          printf "\n\n"
-
-          while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-          do
-             printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-             read  answer
-          done
-
-          if [[ $answer = a  ||  $answer = A ]]
-          then
-             printf "\n  +++ Aborting..."
-             rm -rf  $check_sources
-             locat=normal; exit
-          fi
-        else
-          printf "\n\n  *** parameter file(s) seem(s) to be o.k.\n"
-        fi
-        rm -rf $check_sources
-    fi
- else
-    printf "\n\n  +++ skipping parameter file check due to following reason: $reason \n" 
- fi
-
-    # DELETE TEMPORARY DIRECTORY AND FINISH NAMELIST FILE CHECK   
- rm -rf  $check_sources
- cd $working_directory
-
+ 
     # DETERMINE PATH FOR MAKE DEPOSITORY
  if [[ $do_batch = false  ||  $create_executable_for_batch = true ]]