Index: /palm/trunk/SCRIPTS/document_changes
===================================================================
--- /palm/trunk/SCRIPTS/document_changes	(revision 1804)
+++ /palm/trunk/SCRIPTS/document_changes	(revision 1805)
@@ -20,5 +20,5 @@
 # Current revisions:
 # -----------------
-# Removed printing of "this is an alpha version"
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1804 2016-04-05 16:30:18Z maronga
+# Removed printing of "this is an alpha version"
+# 
 # 1326 2014-03-21 10:44:31Z maronga
 # Initial revision
Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 1804)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 1805)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# Removed parameter file check
+# 
 # 
 # Former revisions:
@@ -28,4 +28,7 @@
 # $Id$
 #
+# 1804 2016-04-05 16:30:18Z maronga
+# Removed parameter file check
+# 
 # 1652 2015-09-17 08:12:24Z raasch
 # bugfix for terminal output of configuration settings removed,
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 1804)
+++ /palm/trunk/SCRIPTS/mrun	(revision 1805)
@@ -22,4 +22,11 @@
 # Current revisions:
 # ------------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
+# 
+# 1804 2016-04-05 16:30:18Z maronga
 # test: implementing an execute mechanism where the execute command is given in the
 # configuration file
@@ -27,8 +34,4 @@
 # Warnings about missing optional files or user code changed to informative messages
 # Removed parameter file check
-# 
-# Former revisions:
-# -----------------
-# $Id$
 # 
 # 1755 2016-02-22 13:53:39Z maronga
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1804)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1804)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1795 2016-03-18 15:00:53Z raasch
Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1804)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1805)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: /palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1804)
+++ /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1805)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
+! 
 ! 1762 2016-02-25 12:31:13Z hellstea
 ! Introduction of nested domain feature
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 1804)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 1804)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1804)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1779 2016-03-03 08:01:28Z raasch
Index: /palm/trunk/SOURCE/local_stop.f90
===================================================================
--- /palm/trunk/SOURCE/local_stop.f90	(revision 1804)
+++ /palm/trunk/SOURCE/local_stop.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1764 2016-02-28 12:45:19Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1804)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1805)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Removed code for parameter file check (__check)
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
+! 
 ! 1788 2016-03-10 11:01:04Z maronga
 ! Added roughness length for moisture (z0q)
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1804)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 1804)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 1805)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1804)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1805)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Removed code for parameter file check (__check)
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: /palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/user_statistics.f90	(revision 1804)
+++ /palm/trunk/SOURCE/user_statistics.f90	(revision 1805)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Removed code for parameter file check (__check)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1804 2016-04-05 16:30:18Z maronga
+! Removed code for parameter file check (__check)
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: /palm/trunk/UTIL/mrungui/main.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/main.cpp	(revision 1804)
+++ /palm/trunk/UTIL/mrungui/main.cpp	(revision 1805)
@@ -18,9 +18,12 @@
 // Current revisions:
 // -----------------
-// Update for use with qt5
+//
 //
 // Former revisions:
 // -----------------
 // $Id$
+//
+// 1804 2016-04-05 16:30:18Z maronga 
+// Update for use with qt5
 //
 // 1046 2012-11-09 14:38:45Z maronga
Index: /palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1804)
+++ /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1805)
@@ -18,10 +18,13 @@
 // Current revisions:
 // -----------------
-// Removed parameter file check
-// Update for use with qt5
+//
 //
 // Former revisions:
 // -----------------
 // $Id$
+//
+// 1804 2016-04-05 16:30:18Z maronga 
+// Removed parameter file check
+// Update for use with qt5
 //
 // 1723 2015-11-16 15:25:51Z boeske
Index: /palm/trunk/UTIL/mrungui/mrungui.pro
===================================================================
--- /palm/trunk/UTIL/mrungui/mrungui.pro	(revision 1804)
+++ /palm/trunk/UTIL/mrungui/mrungui.pro	(revision 1805)
@@ -3,9 +3,12 @@
 # Current revisions:
 # -----------------
-# Update for use with qt5
-#
+# 
+# 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1804 2016-04-05 16:30:18Z maronga
+# Update for use with qt5
 #
 # 793 2011-12-12 15:15:24Z maronga