Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1814)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! comment change
 ! 
 ! Former revisions:
@@ -194,5 +194,5 @@
 
 #if defined( __nec )
-       REAL(sp) ::  m1n, m1z  !Wichtig: Division !<
+       REAL(sp) ::  m1n, m1z  !< important for optimisation of division
        REAL(sp), DIMENSION(:,:), ALLOCATABLE :: m1, sw !<
 #else
Index: palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy.f90	(revision 1814)
+++ palm/trunk/SOURCE/fft_xy.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! cpp-directives for ibmy removed
 ! 
 ! Former revisions:
@@ -285,5 +285,5 @@
           sqr_dnx = SQRT( dnx )
           sqr_dny = SQRT( dny )
-#if defined( __ibm )  &&  ! defined( __ibmy_special )
+#if defined( __ibm )
 !
 !--       Initialize tables for fft along x
@@ -626,5 +626,5 @@
        ELSEIF ( fft_method == 'system-specific' )  THEN
 
-#if defined( __ibm )  &&  ! defined( __ibmy_special )
+#if defined( __ibm )
           IF ( forward_fft )  THEN
 
@@ -938,5 +938,5 @@
        ELSEIF ( fft_method == 'system-specific' )  THEN
 
-#if defined( __ibm )  &&  ! defined( __ibmy_special )
+#if defined( __ibm )
           IF ( forward_fft )  THEN
 
@@ -1255,5 +1255,5 @@
        ELSEIF ( fft_method == 'system-specific' )  THEN
 
-#if defined( __ibm )  &&  ! defined( __ibmy_special )
+#if defined( __ibm )
           IF ( forward_fft)  THEN
 
@@ -1566,5 +1566,5 @@
        ELSEIF ( fft_method == 'system-specific' )  THEN
 
-#if defined( __ibm )  &&  ! defined( __ibmy_special )
+#if defined( __ibm )
           IF ( forward_fft )  THEN
 
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1814)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! cpp-directives for intel openmp bug removed
 !
 ! Former revisions:
@@ -358,9 +358,5 @@
 
        !$OMP PARALLEL PRIVATE( i, j, k, tn )
-#if defined( __intel_openmp_bug )
-       tn = omp_get_thread_num()
-#else
 !$     tn = omp_get_thread_num()
-#endif
 
        !$OMP DO
@@ -561,12 +557,9 @@
 !--          are zero at the walls and inside buildings.
        tn = 0
-#if defined( __intel_openmp_bug )
-       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper, sums_l_etot, &
-       !$OMP                    tn, ust, ust2, u2, vst, vst2, v2, w2 )
-       tn = omp_get_thread_num()
-#else
-       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper, sums_l_etot, tn, ust, ust2, u2, vst, vst2, v2, w2 )
+       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper,             &
+       !$OMP                   sums_l_etot, tn, ust, ust2, u2, vst, vst2, v2,  &
+       !$OMP                   w2 )
 !$     tn = omp_get_thread_num()
-#endif
+
        !$OMP DO
        DO  i = nxl, nxr
@@ -1841,9 +1834,5 @@
 
        !$OMP PARALLEL PRIVATE( i, j, k, tn )
-#if defined( __intel_openmp_bug )
-       tn = omp_get_thread_num()
-#else
 !$     tn = omp_get_thread_num()
-#endif
 
        !$acc update device( sums_l )
@@ -2117,12 +2106,9 @@
 !--          are zero at the walls and inside buildings.
        tn = 0
-#if defined( __intel_openmp_bug )
-       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper, sums_l_etot, &
-       !$OMP                    tn, ust, ust2, u2, vst, vst2, v2, w2 )
-       tn = omp_get_thread_num()
-#else
-       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper, sums_l_etot, tn, ust, ust2, u2, vst, vst2, v2, w2 )
+       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper,             &
+       !$OMP                   sums_l_etot, tn, ust, ust2, u2, vst, vst2, v2,  &
+       !$OMP                   w2 )
 !$     tn = omp_get_thread_num()
-#endif
+
        !$OMP DO
        !$acc parallel loop gang present( e, hom, kh, km, p, pt, w, rflags_invers, rmask, sums_l ) create( s1, s2, s3, s4, s5, s6, s7 )
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1814)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1815)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! zero-settings for velocities inside topography re-activated (was deactivated
+! in r1762)
 ! 
 ! Former revisions:
@@ -857,15 +858,13 @@
 !--       levels to zero in order to avoid too small time steps caused by the 
 !--       diffusion limit in the initial phase of a run (at k=1, dz/2 occurs
-!--       in the limiting formula!). The original values are stored to be later
-!--       used for volume flow control.
-          ! TO_DO:  Antti will check if this is really required
-          !AH IF ( ibc_uv_b /= 1 )  THEN
-          !AH    DO  i = nxlg, nxrg
-          !AH       DO  j = nysg, nyng
-          !AH          u(nzb:nzb_u_inner(j,i)+1,j,i) = 0.0_wp
-          !AH          v(nzb:nzb_v_inner(j,i)+1,j,i) = 0.0_wp
-          !AH       ENDDO
-          !AH    ENDDO
-          !AH ENDIF
+!--       in the limiting formula!).
+          IF ( ibc_uv_b /= 1 )  THEN
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   u(nzb:nzb_u_inner(j,i)+1,j,i) = 0.0_wp
+                   v(nzb:nzb_v_inner(j,i)+1,j,i) = 0.0_wp
+                ENDDO
+             ENDDO
+          ENDIF
 
           IF ( humidity  .OR.  passive_scalar )  THEN
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1814)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! cpp-directives for intel openmp bug removed
 ! 
 ! Former revisions:
@@ -208,9 +208,5 @@
 !-- Get the number of OpenMP threads
     !$OMP PARALLEL
-#if defined( __intel_openmp_bug )
-    threads_per_task = omp_get_num_threads()
-#else
 !$  threads_per_task = omp_get_num_threads()
-#endif
     !$OMP END PARALLEL
 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1814)
+++ palm/trunk/SOURCE/modules.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! cpp-directive for decalpha removed
 !
 ! Former revisions:
@@ -926,32 +926,4 @@
                                topography_color = (/ 0.8_wp, 0.7_wp, 0.6_wp /)
 
-#if defined( __decalpha )
-    REAL(wp), DIMENSION(2,10)  ::  slicer_range_limits_dvrp = RESHAPE( (/      &
-                                   -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
-                                   -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
-                                   -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp /), (/ 2, 10 /) )
-
-    REAL(wp), DIMENSION(3,10)  ::  isosurface_color = RESHAPE( (/                 &
-                                   0.9_wp, 0.9_wp, 0.9_wp,  0.8_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.8_wp, &
-                                   0.1_wp, 0.8_wp, 0.1_wp,  0.6_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.6_wp, &
-                                   0.1_wp, 0.6_wp, 0.1_wp,  0.4_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.4_wp, &
-                                   0.1_wp, 0.4_wp, 0.1_wp /), (/ 3, 10 /) )
-
-    REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp, interval_h_dvrp =      &
-                                   RESHAPE( (/ 270.0_sp, 225.0_sp, 225.0_sp, 180.0_sp,      &
-                                                70.0_sp,  25.0_sp,  25.0_sp, -25.0_sp,      &
-                                               ( 0.0_sp, i9 = 1, 192 ) /),         &
-                                            (/ 2, 100 /) ),                     &
-                                   interval_l_dvrp = 0.5_sp, interval_s_dvrp = 1.0_sp,&
-                                   interval_a_dvrp = 0.0_sp,                       &
-                                   interval_values_dvrp_prt,                    &
-                                   interval_h_dvrp_prt = RESHAPE(               &
-                                   (/ 270.0_sp, 225.0_sp, 225.0_sp, 180.0_sp, 70.0_sp, 25.0_sp,   &
-                                      25.0_sp, -25.0_sp, ( 0.0_sp, i9 = 1, 192 ) /),     &
-                                                   (/ 2, 100 /) ),              &
-                                   interval_l_dvrp_prt = 0.5_sp,                   &
-                                   interval_s_dvrp_prt = 1.0_sp,                   &
-                                   interval_a_dvrp_prt = 0.0_sp
-#else
     REAL(wp), DIMENSION(2,10)     ::  slicer_range_limits_dvrp
 
@@ -980,5 +952,4 @@
     DATA  interval_h_dvrp_prt / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &
                                 25.0_wp, -25.0_wp, 192 * 0.0_wp /
-#endif
 
     REAL(sp), DIMENSION(:), ALLOCATABLE ::  xcoor_dvrp, ycoor_dvrp, zcoor_dvrp
Index: palm/trunk/SOURCE/spectrum.f90
===================================================================
--- palm/trunk/SOURCE/spectrum.f90	(revision 1814)
+++ palm/trunk/SOURCE/spectrum.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! bugfix: preprocessor directives included for the non-parallel case
 !
 ! Former revisions:
@@ -294,8 +294,10 @@
        USE kinds
 
+#if defined( __parallel )
 #if defined( __mpifh )
        INCLUDE "mpif.h"
 #else
        USE MPI
+#endif
 #endif
        USE pegrid,                                                             &
@@ -396,8 +398,10 @@
        USE kinds
 
+#if defiend( __parallel )
 #if defined( __mpifh )
        INCLUDE "mpif.h"
 #else
        USE MPI
+#endif
 #endif
        USE pegrid,                                                             &
@@ -537,8 +541,10 @@
        USE kinds
 
+#if defined( __parallel )
 #if defined( __mpifh )
        INCLUDE "mpif.h"
 #else
        USE MPI
+#endif
 #endif
        USE pegrid,                                                             &
Index: palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver.f90	(revision 1814)
+++ palm/trunk/SOURCE/tridia_solver.f90	(revision 1815)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! cpp-switch intel11 removed
 !
 ! Former revisions:
@@ -521,21 +521,10 @@
 
        IF ( j <= nnyh )  THEN
-#if defined( __intel11 )
-          CALL maketri_1dd( j, tri_for_1d )
-#else
           CALL maketri_1dd( j )
-#endif
        ELSE
-#if defined( __intel11 )
-          CALL maketri_1dd( ny+1-j, tri_for_1d )
-#else
           CALL maketri_1dd( ny+1-j )
-#endif
        ENDIF
-#if defined( __intel11 )
-       CALL split_1dd( tri_for_1d )
-#else
+
        CALL split_1dd
-#endif
        CALL substi_1dd( ar, tri_for_1d )
 
@@ -548,9 +537,5 @@
 !> computes the i- and j-dependent component of the matrix
 !------------------------------------------------------------------------------!
-#if defined( __intel11 )
-       SUBROUTINE maketri_1dd( j, tri_for_1d )
-#else
        SUBROUTINE maketri_1dd( j )
-#endif
 
           USE constants,                                                       &
@@ -570,8 +555,4 @@
 
           REAL(wp), DIMENSION(0:nx) ::  l !< 
-
-#if defined( __intel11 )
-          REAL(wp), DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d !< 
-#endif
 
 
@@ -623,10 +604,5 @@
 !> Splitting of the tridiagonal matrix (Thomas algorithm)
 !------------------------------------------------------------------------------!
-#if defined( __intel11 )
-       SUBROUTINE split_1dd( tri_for_1d )
-#else
        SUBROUTINE split_1dd
-#endif
-
 
           IMPLICIT NONE
@@ -634,8 +610,4 @@
           INTEGER(iwp) ::  i !< 
           INTEGER(iwp) ::  k !< 
-
-#if defined( __intel11 )
-          REAL(wp), DIMENSION(5,0:nx,0:nz-1) ::  tri_for_1d !< 
-#endif
 
 