Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1815)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! comment change
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! comment change
 !
 ! 1691 2015-10-26 16:17:44Z maronga
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1815)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! cpp-directives for ibmy removed
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! cpp-directives for ibmy removed
 !
 ! 1749 2016-02-09 12:19:56Z raasch
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1815)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! cpp-directives for intel openmp bug removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! cpp-directives for intel openmp bug removed
 !
 ! 1783 2016-03-06 18:36:17Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1815)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1816)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! ------------------
-! zero-settings for velocities inside topography re-activated (was deactivated
-! in r1762)
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! zero-settings for velocities inside topography re-activated (was deactivated
+! in r1762)
 !
 ! 1788 2016-03-10 11:01:04Z maronga
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1815)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! cpp-directives for intel openmp bug removed
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! cpp-directives for intel openmp bug removed
 !
 ! 1804 2016-04-05 16:30:18Z maronga
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1815)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! cpp-directive for decalpha removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! cpp-directive for decalpha removed
 !
 ! 1808 2016-04-05 19:44:00Z raasch
Index: /palm/trunk/SOURCE/spectrum.f90
===================================================================
--- /palm/trunk/SOURCE/spectrum.f90	(revision 1815)
+++ /palm/trunk/SOURCE/spectrum.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! bugfix: preprocessor directives included for the non-parallel case
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! bugfix: preprocessor directives included for the non-parallel case
 !
 ! 1808 2016-04-05 19:44:00Z raasch
@@ -398,5 +401,5 @@
        USE kinds
 
-#if defiend( __parallel )
+#if defined( __parallel )
 #if defined( __mpifh )
        INCLUDE "mpif.h"
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1815)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1816)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! cpp-switch intel11 removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1815 2016-04-06 13:49:59Z raasch
+! cpp-switch intel11 removed
 !
 ! 1808 2016-04-05 19:44:00Z raasch